{
    "$graph": [
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/merge_sqlite:1b3a6f55be8579ecfb4c9c0513c3b710717a8f4cd8e79c88ee8c0f28f604faa3"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(2 * (req_space / 1048576));\n}      \n",
                    "tmpdirMax": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(2 * (req_space / 1048576));\n}      \n",
                    "outdirMin": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(req_space / 1048576);\n}      \n",
                    "outdirMax": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(req_space / 1048576);\n}\n"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#merge_sqlite.cwl/source_sqlite",
                    "format": "#merge_sqlite.cwl/format_3621",
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "--source_sqlite"
                        }
                    }
                },
                {
                    "id": "#merge_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/merge_sqlite"
            ],
            "id": "#merge_sqlite.cwl",
            "outputs": [
                {
                    "id": "#merge_sqlite.cwl/destination_sqlite",
                    "format": "#merge_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                },
                {
                    "id": "#merge_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".log\")"
                    }
                }
            ]
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard:092d034713aff237cf07ef28c22a46a113d1a59dc7ec6d71beb72295044a46f8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 10000,
                    "ramMax": 10000,
                    "tmpdirMin": 10,
                    "tmpdirMax": 10,
                    "outdirMin": 10,
                    "outdirMax": 10
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectmultiplemetrics.cwl/DB_SNP",
                    "type": "File",
                    "format": "#picard_collectmultiplemetrics.cwl/format_3016",
                    "inputBinding": {
                        "prefix": "DB_SNP=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/INPUT",
                    "type": "File",
                    "format": "#picard_collectmultiplemetrics.cwl/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/METRIC_ACCUMULATION_LEVEL",
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "METRIC_ACCUMULATION_LEVEL=",
                            "separate": false
                        }
                    },
                    "default": [
                        "ALL_READS",
                        "LIBRARY",
                        "SAMPLE",
                        "READ_GROUP"
                    ]
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/REFERENCE_SEQUENCE",
                    "type": "File",
                    "format": "#picard_collectmultiplemetrics.cwl/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/TMP_DIR",
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "TMP_DIR=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/VALIDATION_STRINGENCY",
                    "default": "STRICT",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "VALIDATION_STRINGENCY=",
                        "separate": false
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectmultiplemetrics.cwl/alignment_summary_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".alignment_summary_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/bait_bias_detail_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".bait_bias_detail_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/bait_bias_summary_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".bait_bias_summary_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/base_distribution_by_cycle_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".base_distribution_by_cycle_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/base_distribution_by_cycle_pdf",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".base_distribution_by_cycle.pdf\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/gc_bias_detail_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".gc_bias.detail_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/gc_bias_pdf",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".gc_bias.pdf\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/gc_bias_summary_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".gc_bias.summary_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/insert_size_histogram_pdf",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".insert_size_histogram.pdf\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/insert_size_metrics",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".insert_size_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/pre_adapter_detail_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".pre_adapter_detail_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/pre_adapter_summary_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".pre_adapter_summary_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/quality_by_cycle_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".quality_by_cycle_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/quality_by_cycle_pdf",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".quality_by_cycle.pdf\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/quality_distribution_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".quality_distribution_metrics\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/quality_distribution_pdf",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".quality_distribution.pdf\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics.cwl/quality_yield_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".quality_yield_metrics\")"
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "PROGRAM=CollectAlignmentSummaryMetrics"
                },
                {
                    "valueFrom": "PROGRAM=CollectBaseDistributionByCycle"
                },
                {
                    "valueFrom": "PROGRAM=CollectGcBiasMetrics"
                },
                {
                    "valueFrom": "PROGRAM=CollectInsertSizeMetrics"
                },
                {
                    "valueFrom": "PROGRAM=CollectQualityYieldMetrics"
                },
                {
                    "valueFrom": "PROGRAM=CollectSequencingArtifactMetrics"
                },
                {
                    "valueFrom": "PROGRAM=MeanQualityByCycle"
                },
                {
                    "valueFrom": "PROGRAM=QualityScoreDistribution"
                },
                {
                    "valueFrom": "$(inputs.INPUT.nameroot)",
                    "prefix": "OUTPUT=",
                    "separate": false
                }
            ],
            "baseCommand": [
                "java",
                "-jar",
                "/usr/local/bin/picard.jar",
                "CollectMultipleMetrics"
            ],
            "id": "#picard_collectmultiplemetrics.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard_metrics_sqlite:e71798322233d02d67db0158aeeef27990d2d400aadfc92c3687ba85555b0cf8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 10,
                    "tmpdirMax": 10,
                    "outdirMin": 10,
                    "outdirMax": 10
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/fasta",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--fasta"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/vcf",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--vcf"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/alignment_summary_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--alignment_summary_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/bait_bias_detail_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--bait_bias_detail_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/bait_bias_summary_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--bait_bias_summary_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/base_distribution_by_cycle_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--base_distribution_by_cycle_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/gc_bias_detail_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--gc_bias_detail_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/gc_bias_summary_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--gc_bias_summary_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/insert_size_metrics",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--insert_size_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/pre_adapter_detail_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--pre_adapter_detail_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/pre_adapter_summary_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--pre_adapter_summary_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/quality_by_cycle_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--quality_by_cycle_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/quality_distribution_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--quality_distribution_metrics"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/quality_yield_metrics",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--quality_yield_metrics"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_picard_CollectMultipleMetrics.log\")"
                    }
                },
                {
                    "id": "#picard_collectmultiplemetrics_to_sqlite.cwl/sqlite",
                    "format": "#picard_collectmultiplemetrics_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/picard_metrics_sqlite",
                "--metric_name",
                "CollectMultipleMetrics"
            ],
            "id": "#picard_collectmultiplemetrics_to_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard:092d034713aff237cf07ef28c22a46a113d1a59dc7ec6d71beb72295044a46f8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 10000,
                    "ramMax": 10000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectoxogmetrics.cwl/DB_SNP",
                    "type": "File",
                    "format": "#picard_collectoxogmetrics.cwl/format_3016",
                    "inputBinding": {
                        "prefix": "DB_SNP=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics.cwl/INPUT",
                    "type": "File",
                    "format": "#picard_collectoxogmetrics.cwl/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics.cwl/REFERENCE_SEQUENCE",
                    "type": "File",
                    "format": "#picard_collectoxogmetrics.cwl/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics.cwl/TMP_DIR",
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "TMP_DIR=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics.cwl/USE_OQ",
                    "type": "string",
                    "default": "true",
                    "inputBinding": {
                        "prefix": "USE_OQ=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics.cwl/VALIDATION_STRINGENCY",
                    "default": "STRICT",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "VALIDATION_STRINGENCY=",
                        "separate": false
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectoxogmetrics.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.basename + \".oxometrics\")"
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.INPUT.basename + \".oxometrics\")",
                    "prefix": "OUTPUT=",
                    "separate": false
                }
            ],
            "baseCommand": [
                "java",
                "-jar",
                "/usr/local/bin/picard.jar",
                "CollectOxoGMetrics"
            ],
            "id": "#picard_collectoxogmetrics.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard_metrics_sqlite:e71798322233d02d67db0158aeeef27990d2d400aadfc92c3687ba85555b0cf8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/fasta",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--fasta"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/vcf",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--vcf"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_picard_CollectOxoGMetrics.log\")"
                    }
                },
                {
                    "id": "#picard_collectoxogmetrics_to_sqlite.cwl/sqlite",
                    "format": "#picard_collectoxogmetrics_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/picard_metrics_sqlite",
                "--metric_name",
                "CollectOxoGMetrics"
            ],
            "id": "#picard_collectoxogmetrics_to_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard:092d034713aff237cf07ef28c22a46a113d1a59dc7ec6d71beb72295044a46f8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 10000,
                    "ramMax": 10000,
                    "tmpdirMin": 10,
                    "tmpdirMax": 10,
                    "outdirMin": 10,
                    "outdirMax": 10
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectwgsmetrics.cwl/INPUT",
                    "type": "File",
                    "format": "#picard_collectwgsmetrics.cwl/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics.cwl/REFERENCE_SEQUENCE",
                    "type": "File",
                    "format": "#picard_collectwgsmetrics.cwl/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "separate": false
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics.cwl/VALIDATION_STRINGENCY",
                    "default": "STRICT",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "VALIDATION_STRINGENCY=",
                        "separate": false
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectwgsmetrics.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".metrics\")"
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.INPUT.nameroot + \".metrics\")",
                    "prefix": "OUTPUT=",
                    "separate": false
                }
            ],
            "baseCommand": [
                "java",
                "-jar",
                "/usr/local/bin/picard.jar",
                "CollectWgsMetrics"
            ],
            "id": "#picard_collectwgsmetrics.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/picard_metrics_sqlite:e71798322233d02d67db0158aeeef27990d2d400aadfc92c3687ba85555b0cf8"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 10,
                    "tmpdirMax": 10,
                    "outdirMin": 10,
                    "outdirMax": 10
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/fasta",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--fasta"
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_picard_CollectWgsMetrics.log\")"
                    }
                },
                {
                    "id": "#picard_collectwgsmetrics_to_sqlite.cwl/sqlite",
                    "format": "#picard_collectwgsmetrics_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/picard_metrics_sqlite",
                "--metric_name",
                "CollectWgsMetrics"
            ],
            "id": "#picard_collectwgsmetrics_to_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools:147bd4cc606a63c7435907d97fea6e94e9ea9ed58c18f390cab8bc40b1992df7"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 5000,
                    "ramMax": 5000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_flagstat.cwl/INPUT",
                    "type": "File",
                    "format": "#samtools_flagstat.cwl/format_2572",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_flagstat.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".flagstat\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".flagstat\")",
            "baseCommand": [
                "/usr/local/bin/samtools",
                "flagstat"
            ],
            "id": "#samtools_flagstat.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools_metrics_sqlite:f64466282ce61dfc9251e7c32c5130928abf0a68c1f8e00b47d9709c5b3e3321"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 2000,
                    "ramMax": 2000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_samtools_flagstat.log\")"
                    }
                },
                {
                    "id": "#samtools_flagstat_to_sqlite.cwl/sqlite",
                    "format": "#samtools_flagstat_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/samtools_metrics_sqlite",
                "--metric_name",
                "flagstat"
            ],
            "id": "#samtools_flagstat_to_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools:147bd4cc606a63c7435907d97fea6e94e9ea9ed58c18f390cab8bc40b1992df7"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 5000,
                    "ramMax": 5000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_idxstats.cwl/INPUT",
                    "type": "File",
                    "format": "#samtools_idxstats.cwl/format_2572",
                    "inputBinding": {
                        "position": 0
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_idxstats.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".idxstats\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".idxstats\")",
            "baseCommand": [
                "/usr/local/bin/samtools",
                "idxstats"
            ],
            "id": "#samtools_idxstats.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools_metrics_sqlite:f64466282ce61dfc9251e7c32c5130928abf0a68c1f8e00b47d9709c5b3e3321"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_samtools_idxstats.log\")"
                    }
                },
                {
                    "id": "#samtools_idxstats_to_sqlite.cwl/sqlite",
                    "format": "#samtools_idxstats_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/samtools_metrics_sqlite",
                "--metric_name",
                "idxstats"
            ],
            "id": "#samtools_idxstats_to_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools:147bd4cc606a63c7435907d97fea6e94e9ea9ed58c18f390cab8bc40b1992df7"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 5000,
                    "ramMax": 5000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_stats.cwl/INPUT",
                    "type": "File",
                    "format": "#samtools_stats.cwl/format_2572",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_stats.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".stats\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".stats\")",
            "baseCommand": [
                "/usr/local/bin/samtools",
                "stats"
            ],
            "id": "#samtools_stats.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/samtools_metrics_sqlite:f64466282ce61dfc9251e7c32c5130928abf0a68c1f8e00b47d9709c5b3e3321"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#samtools_stats_to_sqlite.cwl/bam",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--bam"
                    }
                },
                {
                    "id": "#samtools_stats_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#samtools_stats_to_sqlite.cwl/metric_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--metric_path"
                    }
                },
                {
                    "id": "#samtools_stats_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#samtools_stats_to_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid+\"_samtools_stats.log\")"
                    }
                },
                {
                    "id": "#samtools_stats_to_sqlite.cwl/sqlite",
                    "format": "#samtools_stats_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/samtools_metrics_sqlite",
                "--metric_name",
                "stats"
            ],
            "id": "#samtools_stats_to_sqlite.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#main/bam",
                    "type": "File"
                },
                {
                    "id": "#main/known_snp",
                    "type": "File"
                },
                {
                    "id": "#main/fasta",
                    "type": "File"
                },
                {
                    "id": "#main/input_state",
                    "type": "string"
                },
                {
                    "id": "#main/parent_bam",
                    "type": "string"
                },
                {
                    "id": "#main/thread_count",
                    "type": "long"
                },
                {
                    "id": "#main/job_uuid",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#main/merge_sqlite_destination_sqlite",
                    "type": "File",
                    "outputSource": "#main/merge_sqlite/destination_sqlite"
                }
            ],
            "steps": [
                {
                    "id": "#main/picard_collectmultiplemetrics",
                    "run": "#picard_collectmultiplemetrics.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectmultiplemetrics/DB_SNP",
                            "source": "#main/known_snp"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/INPUT",
                            "source": "#main/bam"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/REFERENCE_SEQUENCE",
                            "source": "#main/fasta"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectmultiplemetrics/alignment_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/bait_bias_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/bait_bias_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/base_distribution_by_cycle_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/gc_bias_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/gc_bias_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/insert_size_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/pre_adapter_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/pre_adapter_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/quality_by_cycle_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/quality_distribution_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics/quality_yield_metrics"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collectmultiplemetrics_to_sqlite",
                    "run": "#picard_collectmultiplemetrics_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/fasta",
                            "source": "#main/fasta",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/vcf",
                            "source": "#main/known_snp",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/alignment_summary_metrics",
                            "source": "#main/picard_collectmultiplemetrics/alignment_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/bait_bias_detail_metrics",
                            "source": "#main/picard_collectmultiplemetrics/bait_bias_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/bait_bias_summary_metrics",
                            "source": "#main/picard_collectmultiplemetrics/bait_bias_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/base_distribution_by_cycle_metrics",
                            "source": "#main/picard_collectmultiplemetrics/base_distribution_by_cycle_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/gc_bias_detail_metrics",
                            "source": "#main/picard_collectmultiplemetrics/gc_bias_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/gc_bias_summary_metrics",
                            "source": "#main/picard_collectmultiplemetrics/gc_bias_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/insert_size_metrics",
                            "source": "#main/picard_collectmultiplemetrics/insert_size_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/pre_adapter_detail_metrics",
                            "source": "#main/picard_collectmultiplemetrics/pre_adapter_detail_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/pre_adapter_summary_metrics",
                            "source": "#main/picard_collectmultiplemetrics/pre_adapter_summary_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/quality_by_cycle_metrics",
                            "source": "#main/picard_collectmultiplemetrics/quality_by_cycle_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/quality_distribution_metrics",
                            "source": "#main/picard_collectmultiplemetrics/quality_distribution_metrics"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/quality_yield_metrics",
                            "source": "#main/picard_collectmultiplemetrics/quality_yield_metrics"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/log"
                        },
                        {
                            "id": "#main/picard_collectmultiplemetrics_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collectoxogmetrics",
                    "run": "#picard_collectoxogmetrics.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectoxogmetrics/DB_SNP",
                            "source": "#main/known_snp"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics/INPUT",
                            "source": "#main/bam"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics/REFERENCE_SEQUENCE",
                            "source": "#main/fasta"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectoxogmetrics/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collectoxogmetrics_to_sqlite",
                    "run": "#picard_collectoxogmetrics_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/fasta",
                            "source": "#main/fasta",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/metric_path",
                            "source": "#main/picard_collectoxogmetrics/OUTPUT"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/vcf",
                            "source": "#main/known_snp",
                            "valueFrom": "$(self.basename)"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/log"
                        },
                        {
                            "id": "#main/picard_collectoxogmetrics_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collectwgsmetrics",
                    "run": "#picard_collectwgsmetrics.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectwgsmetrics/INPUT",
                            "source": "#main/bam"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics/REFERENCE_SEQUENCE",
                            "source": "#main/fasta"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectwgsmetrics/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/picard_collectwgsmetrics_to_sqlite",
                    "run": "#picard_collectwgsmetrics_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/fasta",
                            "source": "#main/fasta",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/metric_path",
                            "source": "#main/picard_collectwgsmetrics/OUTPUT"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/log"
                        },
                        {
                            "id": "#main/picard_collectwgsmetrics_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_flagstat",
                    "run": "#samtools_flagstat.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_flagstat/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_flagstat/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_flagstat_to_sqlite",
                    "run": "#samtools_flagstat_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_flagstat_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/samtools_flagstat_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/samtools_flagstat_to_sqlite/metric_path",
                            "source": "#main/samtools_flagstat/OUTPUT"
                        },
                        {
                            "id": "#main/samtools_flagstat_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_flagstat_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_idxstats",
                    "run": "#samtools_idxstats.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_idxstats/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_idxstats/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_idxstats_to_sqlite",
                    "run": "#samtools_idxstats_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_idxstats_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/samtools_idxstats_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/samtools_idxstats_to_sqlite/metric_path",
                            "source": "#main/samtools_idxstats/OUTPUT"
                        },
                        {
                            "id": "#main/samtools_idxstats_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_idxstats_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_stats",
                    "run": "#samtools_stats.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_stats/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_stats/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/samtools_stats_to_sqlite",
                    "run": "#samtools_stats_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/samtools_stats_to_sqlite/bam",
                            "source": "#main/bam",
                            "valueFrom": "$(self.basename)"
                        },
                        {
                            "id": "#main/samtools_stats_to_sqlite/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/samtools_stats_to_sqlite/metric_path",
                            "source": "#main/samtools_stats/OUTPUT"
                        },
                        {
                            "id": "#main/samtools_stats_to_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/samtools_stats_to_sqlite/sqlite"
                        }
                    ]
                },
                {
                    "id": "#main/merge_sqlite",
                    "run": "#merge_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/merge_sqlite/source_sqlite",
                            "source": [
                                "#main/picard_collectmultiplemetrics_to_sqlite/sqlite",
                                "#main/picard_collectoxogmetrics_to_sqlite/sqlite",
                                "#main/picard_collectwgsmetrics_to_sqlite/sqlite",
                                "#main/samtools_flagstat_to_sqlite/sqlite",
                                "#main/samtools_idxstats_to_sqlite/sqlite",
                                "#main/samtools_stats_to_sqlite/sqlite"
                            ]
                        },
                        {
                            "id": "#main/merge_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/merge_sqlite/destination_sqlite"
                        },
                        {
                            "id": "#main/merge_sqlite/log"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
